# class Zip::File::Entry

- Zip::File::Entry
- Reference
- Object

##
Overview

An entry inside a `Zip::File`.

Use the `#open` method to read from it.

##
Included Modules

- Zip::FileInfo

##
Defined in:

##
Instance Method Summary

- #open(&)

  Yields an `IO` to read this entry's contents.

### Instance methods inherited from module `Zip::FileInfo`

comment comment, comment=(comment) comment=, compressed_size compressed_size, compressed_size=(compressed_size) compressed_size=, compression_method compression_method, compression_method=(compression_method) compression_method=, crc32 crc32, crc32=(crc32) crc32=, dir? dir?, extra extra, extra=(extra) extra=, file? file?, filename filename, filename=(filename) filename=, general_purpose_bit_flag general_purpose_bit_flag, general_purpose_bit_flag=(general_purpose_bit_flag) general_purpose_bit_flag=, offset offset, offset=(offset) offset=, time : Time time, time=(time : Time) time=, uncompressed_size uncompressed_size, uncompressed_size=(uncompressed_size) uncompressed_size=, version : UInt16 version, version=(version : UInt16) version=

### Constructor methods inherited from module `Zip::FileInfo`

new(filename : String, time = Time.utc, comment = "", extra = Bytes.empty) new

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, __crystal_pseudo_! : Bool __crystal_pseudo_!, __crystal_pseudo_as(type : Class) __crystal_pseudo_as, __crystal_pseudo_as?(type : Class) __crystal_pseudo_as?, __crystal_pseudo_is_a?(type : Class) : Bool __crystal_pseudo_is_a?, __crystal_pseudo_nil? : Bool __crystal_pseudo_nil?, __crystal_pseudo_responds_to?(name : Symbol) : Bool __crystal_pseudo_responds_to?, class class, dup dup, hash(hasher)
hash hash, inspect : String
inspect(io : IO) : Nil inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Instance Method Detail

def open(&) #

Yields an `IO` to read this entry's contents. Multiple entries can be opened and read concurrently.